Bug 871484 - Need logging when errors are caught adding ProviderAccount
Summary: Need logging when errors are caught adding ProviderAccount
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: CloudForms Cloud Engine
Classification: Retired
Component: aeolus-conductor
Version: 1.1.0
Hardware: Unspecified
OS: Unspecified
high
low
Target Milestone: rc
Assignee: Matt Wagner
QA Contact: Rehana
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-10-30 14:02 UTC by Matt Wagner
Modified: 2014-08-17 22:27 UTC (History)
8 users (show)

Fixed In Version: aeolus-conductor-0.13.24-1.el6cf
Doc Type: Bug Fix
Doc Text:
ProviderAccountsController lacked exception handling. This update logs exceptions when creating provider accounts.
Clone Of:
Environment:
Last Closed: 2012-12-04 15:09:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2012:1516 normal SHIPPED_LIVE CloudForms Cloud Engine 1.1 update 2012-12-04 19:51:45 UTC

Description Matt Wagner 2012-10-30 14:02:18 UTC
Description of problem:
Right now, ProviderAccountsController is swallowing exceptions. Beyond this being bad practice, it's making it really hard to debug #832568.

In https://bugzilla.redhat.com/show_bug.cgi?id=832568#c1 James links to a quick patch I put together, that just adds some logger.warn lines when we get an exception. Those should be added to the actual release so we can try to track this down next time it occurs.

Comment 2 Tzu-Mainn Chen 2012-10-30 16:01:47 UTC
Pushed to master/1.1:

commit b20667eefad4541fe7b6ff3d9d0b6a1fc55945dc
Author: Matt Wagner <matt.wagner@redhat.com>
Date:   Tue Oct 30 11:36:04 2012 -0400

    Log exceptions creating provider accounts
    
    Resolves https://bugzilla.redhat.com/show_bug.cgi?id=871484
    
    Signed-off-by: Tzu-Mainn Chen <tzumainn@redhat.com>
    (cherry picked from commit 61342cbe7c432ea3fcc5b3c55b4503f1ac011c1d)

Comment 5 errata-xmlrpc 2012-12-04 15:09:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2012-1516.html


Note You need to log in before you can comment on or make changes to this bug.